
Installer - Bug #29097

Installer prints out puppet-agent-oauth on most runs

02/20/2020 08:33 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/472,

https://github.com/theforeman/foreman-i

nstaller/pull/532

  

Description

Related issues:

Related to Installer - Bug #30214: No such file or directory - foreman-mainta... Resolved

Related to Installer - Feature #33191: Support automatic reinstallation of pu... Closed

Associated revisions

Revision 44591b97 - 02/25/2020 10:55 PM - Eric Helms

Fixes #29097: Move puppet-agent-oauth reinstall to Foreman hooks

Revision f35ae08d - 06/26/2020 03:46 PM - Ewoud Kohl van Wijngaarden

Refs #29097 - Handle command not found

44591b97fe11bcb8c55af88309166aab0fa4ac2c started to execute this command

using execute_command() which uses open3 under the hood. When a command

doesn't exist, Errno::ENOENT is raised; unlike system() which returns

false. This catches it and handles the output.

This surfaced on Debian with the Puppet hook:

/usr/lib/ruby/2.5.0/open3.rb:199:in `spawn': No such file or directory - rpm (Errno::ENOENT)

            from /usr/lib/ruby/2.5.0/open3.rb:199:in `popen_run'

            from /usr/lib/ruby/2.5.0/open3.rb:190:in `popen2e'

            from /usr/lib/ruby/2.5.0/open3.rb:349:in `capture2e'

            from /usr/share/foreman-installer/hooks/boot/01-kafo-hook-extensions.rb:110:in `execute_command'

            from /usr/share/foreman-installer/hooks/pre/31-puppet_agent_oauth.rb:2:in `block (4 levels) in loa

d'

History

#1 - 02/20/2020 08:35 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/472 added

#2 - 02/25/2020 10:55 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 02/25/2020 11:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed
Applied in changeset installer|44591b97fe11bcb8c55af88309166aab0fa4ac2c.

#4 - 06/26/2020 03:54 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/532 added

#5 - 06/29/2020 02:14 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #30214: No such file or directory - foreman-maintain on Debian added

#6 - 07/30/2021 12:52 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #33191: Support automatic reinstallation of puppet-agent-oauth on Debian added
